package com.ximai.mes.tm.service.impl;

import com.ximai.mes.tm.domain.TmToolWarehouseItem;
import com.ximai.mes.tm.mapper.TmToolWarehouseItemMapper;
import com.ximai.mes.tm.service.ITmToolWarehouseItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author generator
 * @date 2024-03-07
 */
@Service
public class TmToolWarehouseItemServiceImpl implements ITmToolWarehouseItemService {
    @Autowired
    private TmToolWarehouseItemMapper tmToolWarehouseItemMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param toolWarehouseItemId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TmToolWarehouseItem selectTmToolWarehouseItemByToolWarehouseItemId(Long toolWarehouseItemId) {
        return tmToolWarehouseItemMapper.selectTmToolWarehouseItemByToolWarehouseItemId(toolWarehouseItemId);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tmToolWarehouseItem 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TmToolWarehouseItem> selectTmToolWarehouseItemList(TmToolWarehouseItem tmToolWarehouseItem) {
        return tmToolWarehouseItemMapper.selectTmToolWarehouseItemList(tmToolWarehouseItem);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param tmToolWarehouseItem 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTmToolWarehouseItem(TmToolWarehouseItem tmToolWarehouseItem) {
        tmToolWarehouseItem.createAction();
        return tmToolWarehouseItemMapper.insertTmToolWarehouseItem(tmToolWarehouseItem);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param tmToolWarehouseItem 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTmToolWarehouseItem(TmToolWarehouseItem tmToolWarehouseItem) {
        tmToolWarehouseItem.updateAction();
        return tmToolWarehouseItemMapper.updateTmToolWarehouseItem(tmToolWarehouseItem);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param toolWarehouseItemIds 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTmToolWarehouseItemByToolWarehouseItemIds(Long[] toolWarehouseItemIds) {
        return tmToolWarehouseItemMapper.deleteTmToolWarehouseItemByToolWarehouseItemIds(toolWarehouseItemIds);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param toolWarehouseItemId 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTmToolWarehouseItemByToolWarehouseItemId(Long toolWarehouseItemId) {
        return tmToolWarehouseItemMapper.deleteTmToolWarehouseItemByToolWarehouseItemId(toolWarehouseItemId);
    }
}
